using System;
using System.ComponentModel.Design;
class Porgram
{
    static void Main(string[] args)
    {
        string[] s1 = Console.ReadLine().Split();
        int n = int.Parse(s1[0]);
        int l = int.Parse(s1[1]);
        int[] ln = new int[n];
        string[] s= new string[n];
         s = Console.ReadLine().Split();
        for (int i = 0; i < n; i++)
        {
            ln[i] = int.Parse(s[i]);
        }
        int a = 0;
        for (int i = 0;i < ln.Length; i++)
        {
            if (ln[i] <= l)
            {
                Console.WriteLine(i + 1);
                break;
            }
            else a++;

        }
        if(a == n) Console.WriteLine("-1");
    }
}